- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes

# QStyleOptionComplex Class Reference

Search for all occurrences

## Detailed Description

Definition at line 687 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionComplex:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Complex }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionComplex (int version=QStyleOptionComplex::Version, int type=SO_Complex)
| QStyleOptionComplex (const QStyleOptionComplex &other)
## Public Attributes
QStyle::SubControls | subControls
QStyle::SubControls | activeSubControls

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionQ3ListView, QStyleOptionToolButton, QStyleOptionComboBox, QStyleOptionTitleBar, QStyleOptionGroupBox, and QStyleOptionSizeGrip.

Definition at line 690 of file qstyleoption.h.

    { Type = SO_Complex };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionQ3ListView, QStyleOptionToolButton, QStyleOptionComboBox, QStyleOptionTitleBar, QStyleOptionGroupBox, and QStyleOptionSizeGrip.

Definition at line 691 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionComplex | ( | int | version = `QStyleOptionComplex::Version`,
|  | int | type = `SO_Complex`
| ) |  |

QStyleOptionComplex | ( | const QStyleOptionComplex & | other | ) | `[inline]`

Definition at line 697 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

## Member Data Documentation

QStyle::SubControls subControls

Search for all occurrences

Definition at line 693 of file qstyleoption.h.

QStyle::SubControls activeSubControls

Search for all occurrences

Definition at line 694 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex
QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex QStyleOptionComplex